Source: libtype-tiny-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 libclass-insideout-perl <!nocheck>,
 libdevel-hide-perl <!nocheck>,
 libdevel-lexalias-perl <!nocheck>,
 libdevel-stacktrace-perl <!nocheck>,
 libexporter-tiny-perl (>= 1.006000),
 libfunction-parameters-perl <!nocheck>,
 libio-string-perl <!nocheck>,
 libmatch-simple-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libmoose-perl <!nocheck>,
 libmoosex-getopt-perl <!nocheck>,
 libmoosex-types-common-perl <!nocheck>,
 libmoosex-types-perl <!nocheck>,
 libmouse-perl <!nocheck>,
 libmousex-types-perl <!nocheck>,
 libobject-accessor-perl <!nocheck>,
 libreturn-type-perl <!nocheck>,
 libtest-fatal-perl <!nocheck>,
 libtest-memory-cycle-perl <!nocheck>,
 libtest-requires-perl <!nocheck>,
 libtest-warnings-perl <!nocheck>,
 libtype-tiny-xs-perl (>= 0.025),
 libtypes-path-tiny-perl <!nocheck>,
 libspecio-perl <!nocheck>,
 libvalidation-class-perl,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtype-tiny-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtype-tiny-perl.git
Homepage: https://typetiny.toby.ink/
Rules-Requires-Root: no

Package: libtype-tiny-perl
Architecture: all
Depends:
 libexporter-tiny-perl (>= 1.006000),
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 libclass-xsaccessor-perl,
 libref-util-perl,
 libtype-tiny-xs-perl (>= 0.025),
Suggests:
 libdevel-lexalias-perl,
 libdevel-stacktrace-perl,
Breaks:
 libtype-tie-perl (<< 2),
 libtypes-xsd-lite-perl (<< 0.007),
 libtypes-xsd-perl (<< 0.008),
Replaces:
 libtype-tie-perl (<< 2),
Enhances:
 libdata-validator-perl,
 libfunction-parameters-perl,
 libmoo-perl,
 libmoose-perl,
 libmouse-perl,
 libparams-validationcompiler-perl,
 libregexp-util-perl,
 libreply-perl,
 perl,
Description: tiny, yet Moo(se)-compatible type constraint
 Type::Tiny is a tiny class
 for creating Moose-like type constraint objects
 which are compatible with Moo, Moose and Mouse.
 .
 This package also includes Types::Standard,
 a Moose-inspired library of useful type constraints,
 and Type::Params, to allow very fast checking and coercion
 of function and method parameters.
